# This file calls the SSEL and LBD extraction and geocoding programs 

# These programs extract and merge microdata from the SSEL and LBD
nohup sas            /rdcprojects/mc1/mc00535/programs_organize/3.extract_from_lbd/01-Merge SSL-LBD Extracts/1987_1992.sas
nohup sas            /rdcprojects/mc1/mc00535/programs_organize/3.extract_from_lbd/01-Merge SSL-LBD Extracts/1993_1997.sas
nohup sas            /rdcprojects/mc1/mc00535/programs_organize/3.extract_from_lbd/01-Merge SSL-LBD Extracts/1998_2001.sas
nohup sas            /rdcprojects/mc1/mc00535/programs_organize/3.extract_from_lbd/01-Merge SSL-LBD Extracts/2002_2004.sas
nohup sas            /rdcprojects/mc1/mc00535/programs_organize/3.extract_from_lbd/01-Merge SSL-LBD Extracts/99-Copy_SSLLBDs_to_Stata.sas

# These programs compute geocodes for establishment in the SSEL/LBD
nohup sas            /rdcprojects/mc1/mc00535/programs_organize/3.extract_from_lbd/02-geocoding/01-Extract Addresses for Geocoding/Get_Addresses_From_Full_Data_Sets.sas
nohup sas            /rdcprojects/mc1/mc00535/programs_organize/3.extract_from_lbd/02-geocoding/02-Batch Geocoding/Geocode.sas
nohup sas            /rdcprojects/mc1/mc00535/programs_organize/3.extract_from_lbd/02-geocoding/03-Longitudinal Imputation/01-Create_Long_Imp_Dataset.sas
nohup stata-mp -b do /rdcprojects/mc1/mc00535/programs_organize/3.extract_from_lbd/02-geocoding/03-Longitudinal Imputation/02-Longitudinal_Imputation_block.do
nohup sas            /rdcprojects/mc1/mc00535/programs_organize/3.extract_from_lbd/02-geocoding/03-Longitudinal Imputation/03-Consolidate_Block_Data.sas

# This program creates inverse probability weights to account the fact that not all establishments were successfully geocoded
nohup stata-mp -b do /rdcprojects/mc1/mc00535/programs_organize/3.extract_from_lbd/03-Create_Missingness_IP_Weights/01-Create_Multivariate_County-Year_Missingness_IP_Weights.do



