args debug

clear mata
clear matrix
clear
set more off
version 10.1

global codes  = "/rdcprojects/mc1/mc00535/programs_organize/2.data/4.BuildWork/"

run "$codes/library.ado"

** Run the buildwork sequence for tracts
*local debug="debug"

do "$codes/2.build_POR.do" 1980 tract weight `debug'   //takes 70 mins
do "$codes/2.build_POR.do" 1990 tract weight `debug'   //takes 70 mins
do "$codes/2.build_POR.do" 2000 tract weight `debug'   //takes 70 mins


do "$codes/2.build_POR.do" 1980 tract noweight `debug'   //takes 70 mins
do "$codes/2.build_POR.do" 1990 tract noweight `debug'   //takes 70 mins
do "$codes/2.build_POR.do" 2000 tract noweight `debug'   //takes 70 mins

do "$codes/3.build_POW.do" 1980 tract weight `debug'   //takes 15 mins
do "$codes/3.build_POW.do" 1990 tract weight `debug'   //takes 15 mins
do "$codes/3.build_POW.do" 2000 tract weight `debug'   //takes 15 mins

do "$codes/3.build_POW.do" 1980 tract noweight `debug'   //takes 15 mins
do "$codes/3.build_POW.do" 1990 tract noweight `debug'   //takes 15 mins
do "$codes/3.build_POW.do" 2000 tract noweight `debug'   //takes 15 mins

do "$codes/4.build_MigrationLogits.do" `debug'  //takes 4 hours

do "$codes/5.build_cells.do" houses `debug'     //takes 3 hours

** the following one takes a very long time!
do "$codes/5.build_cells.do" persons `debug'    //takes 7 hours.

do "$codes/6.build_lnwage.do" outside `debug'   //takes 15 mins
do "$codes/6.build_lnwage.do" pow `debug'       //takes 7 mins

** runs very fast
do "$codes/10.compute_lnvalue_city_means.do"

** runs very fast (no need to submit it)
do "$codes/8.compile_work_tract.do"             //takes 1 minute


