args year

cap drop ind1

if `year'==1980 {
gen ind1=.
replace ind1=1 if inrange(ind,"010","031")==1
replace ind1=1 if inrange(ind,"040","050")==1
replace ind1=2 if inrange(ind,"060","060")==1
replace ind1=3 if inrange(ind,"100","222")==1
replace ind1=4 if inrange(ind,"230","392")==1
replace ind1=5 if inrange(ind,"400","472")==1
replace ind1=6 if inrange(ind,"500","571")==1
replace ind1=7 if inrange(ind,"580","691")==1
replace ind1=8 if inrange(ind,"700","712")==1
replace ind1=9 if inrange(ind,"721","760")==1
replace ind1=9 if inrange(ind,"761","791")==1
replace ind1=9 if inrange(ind,"800","802")==1
replace ind1=10 if inrange(ind,"812","892")==1
replace ind1=11 if inrange(ind,"900","932")==1
replace ind1=12 if ind1==.
}

if `year'==1990 {
gen ind1=.
replace ind1=1 if inrange(ind,"010","032")==1
replace ind1=1 if inrange(ind,"040","050")==1
replace ind1=2 if inrange(ind,"060","060")==1
replace ind1=3 if inrange(ind,"100","222")==1
replace ind1=4 if inrange(ind,"230","392")==1
replace ind1=5 if inrange(ind,"400","472")==1
replace ind1=6 if inrange(ind,"500","571")==1
replace ind1=7 if inrange(ind,"580","691")==1
replace ind1=8 if inrange(ind,"700","712")==1
replace ind1=9 if inrange(ind,"721","760")==1
replace ind1=9 if inrange(ind,"761","791")==1
replace ind1=9 if inrange(ind,"800","810")==1
replace ind1=10 if inrange(ind,"812","893")==1
replace ind1=11 if inrange(ind,"900","932")==1
replace ind1=11 if inrange(ind,"940","960")==1
replace ind1=12 if ind1==.
}

if `year'==2000 {
gen ind1=.
replace ind1=1 if inrange(ind,"017","029")==1
replace ind1=1 if inrange(ind,"037","049")==1
replace ind1=5 if inrange(ind,"057","069")==1
replace ind1=2 if inrange(ind,"077","077")==1
replace ind1=3 if inrange(ind,"107","239")==1
replace ind1=4 if inrange(ind,"247","399")==1
replace ind1=6 if inrange(ind,"407","459")==1
replace ind1=7 if inrange(ind,"467","579")==1
replace ind1=5 if inrange(ind,"607","679")==1
replace ind1=8 if inrange(ind,"687","719")==1
replace ind1=10 if inrange(ind,"727","779")==1
replace ind1=10 if inrange(ind,"786","847")==1
replace ind1=9 if inrange(ind,"856","869")==1
replace ind1=9 if inrange(ind,"877","929")==1
replace ind1=11 if inrange(ind,"937","987")==1
replace ind1=12 if ind1==.
}

cap label drop ind1_lab
label define ind1_lab 1 "Aggriculture/Mining"
label define ind1_lab 2 "Construction", add
label define ind1_lab 3 "Manufacturing, non-durable", add
label define ind1_lab 4 "Manufacturing, durable", add
label define ind1_lab 5 "Transportation/Communication/Pub. Utilities", add
label define ind1_lab 6 "Wholesale Trade", add
label define ind1_lab 7 "Retail Trade", add
label define ind1_lab 8 "Finance/Insurance/Real Estate", add
label define ind1_lab 9 "Business/Repair/Personal Services" , add
label define ind1_lab 10 "Professional/Related Services" , add
label define ind1_lab 11 "Public Admin/Armed Forces", add
label define ind1_lab 12 "N/A", add
label values ind1 ind1_lab
label variable ind1 "Broad Industry"



