** This program reweights variables so that they can be collapsed with a rawsum
cap program drop reweightvar
program define reweightvar
{
  syntax, var(string) weight(string) by(string)
  cap drop notmiss
  cap drop wsum
  gen notmiss=`var'!=.
  egen double wsum=sum(`weight') if notmiss==1, by(`by')
  replace `var'=`var'*`weight'/wsum
}
end
