cap run "/rdcprojects/mc1/mc00535/programs_organize/3.estimation/1.setup.do"
if _rc!=0 di in red "run 1.setup.do"
cap log close
global results = "/rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/"

*** Get number of obs and clusters
	clear
	set obs 6
	gen T0 = .
	gen T1 = .
	gen Clusters = .
	gen n=_n
	gen sample = ""
        save "$results/samplesizes.dta", replace
	
	run "$dofiles/3.pscore.do" 1 ols 0 1 winlose_gt10 wild_off
        local sample = "winlose"
	local i = 1
	egen aux = group(cg) if yr==4
	qui sum aux
	local Clusters = r(max) 
	count if assigned_tract==1 & yr==3
	local T1 = r(N) 
	count if assigned_tract==0 & yr==3
	local T0 = r(N) 
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/`sample'/balance*.pdf
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/`sample'/balance*.dta
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/`sample'/results*.log
        use "$results/samplesizes.dta", clear
        replace sample = "`sample'" in `i'
	replace Clusters = `Clusters' in `i'
	replace T1 = `T1' in `i'
	replace T0 = `T0' in `i'
        save "$results/samplesizes.dta", replace

	run "$dofiles/3.pscore.do" 1 ols 0 1 placebo_gt10 wild_off
        local sample = "placebo"
	local i = 2
	egen aux = group(cg) if yr==4
	qui sum aux
	local Clusters = r(max) 
	count if assigned_tract==1 & yr==3
	local T1 = r(N) 
	count if assigned_tract==0 & yr==3
	local T0 = r(N) 
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/`sample'/balance*.pdf
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/`sample'/balance*.dta
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/`sample'/results*.log
        use "$results/samplesizes.dta", clear
        replace sample = "`sample'" in `i'
	replace Clusters = `Clusters' in `i'
	replace T1 = `T1' in `i'
	replace T0 = `T0' in `i'
        save "$results/samplesizes.dta", replace

	run "$dofiles/3.pscore.do" 1 ols 0 1 percentile_gt10 wild_off
        local sample = "percentile"
	local i = 3
	egen aux = group(cg) if yr==4
	qui sum aux
	local Clusters = r(max) 
	count if assigned_tract==1 & yr==3
	local T1 = r(N) 
	count if assigned_tract==0 & yr==3
	local T0 = r(N) 
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/`sample'/balance*.pdf
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/`sample'/balance*.dta
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/`sample'/results*.log
        use "$results/samplesizes.dta", clear
        replace sample = "`sample'" in `i'
	replace Clusters = `Clusters' in `i'
	replace T1 = `T1' in `i'
	replace T0 = `T0' in `i'
        save "$results/samplesizes.dta", replace

	run "$dofiles/3.pscore.do" 1 ols 0 1 rejected_gt10 wild_off
        local sample = "rejected"
	local i = 4
	egen aux = group(cg) if yr==4
	qui sum aux
	local Clusters = r(max) 
	count if assigned_tract==1 & yr==3
	local T1 = r(N) 
	count if assigned_tract==0 & yr==3
	local T0 = r(N) 
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/sample`sample'/balance*.pdf
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/sample`sample'/balance*.dta
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/sample`sample'/results*.log
        use "$results/samplesizes.dta", clear
        replace sample = "`sample'" in `i'
	replace Clusters = `Clusters' in `i'
	replace T1 = `T1' in `i'
	replace T0 = `T0' in `i'
        save "$results/samplesizes.dta", replace

	run "$dofiles/3.pscore.do" 1 ols 0 1 noNY_gt10 wild_off
        local sample = "noNY"
	local i = 5
	egen aux = group(cg) if yr==4
	qui sum aux
	local Clusters = r(max) 
	count if assigned_tract==1 & yr==3
	local T1 = r(N) 
	count if assigned_tract==0 & yr==3
	local T0 = r(N) 
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/sample`sample'/balance*.pdf
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/sample`sample'/balance*.dta
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/sample`sample'/results*.log
        use "$results/samplesizes.dta", clear
        replace sample = "`sample'" in `i'
	replace Clusters = `Clusters' in `i'
	replace T1 = `T1' in `i'
	replace T0 = `T0' in `i'
        save "$results/samplesizes.dta", replace

	run "$dofiles/3.pscore.do" 1 ols 0 1 withSEZ_gt10 wild_off
        local sample = "withSEZ"
	local i = 6
	egen aux = group(cg) if yr==4
	qui sum aux
	local Clusters = r(max) 
	count if assigned_tract==1 & yr==3
	local T1 = r(N) 
	count if assigned_tract==0 & yr==3
	local T0 = r(N) 
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/sample`sample'/balance*.pdf
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/sample`sample'/balance*.dta
	!rm /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/sample`sample'/results*.log
        use "$results/samplesizes.dta", clear
        replace sample = "`sample'" in `i'
	replace Clusters = `Clusters' in `i'
	replace T1 = `T1' in `i'
	replace T0 = `T0' in `i'
        save "$results/samplesizes.dta", replace
